- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstVariableIo Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
float ** | inputs
| input audio buffers
float ** | outputs
| output audio buffers
VstInt32 | numSamplesInput
| number of incoming samples
VstInt32 | numSamplesOutput
| number of outgoing samples
VstInt32 * | numSamplesInputProcessed
| number of samples actually processed of input
VstInt32 * | numSamplesOutputProcessed
| number of samples actually processed of output

## Detailed Description

Variable IO for Offline Processing.

## Member Data Documentation

float** VstVariableIo::inputs

input audio buffers

VstInt32 VstVariableIo::numSamplesInput

number of incoming samples

VstInt32* VstVariableIo::numSamplesInputProcessed

number of samples actually processed of input

VstInt32 VstVariableIo::numSamplesOutput

number of outgoing samples

VstInt32* VstVariableIo::numSamplesOutputProcessed

number of samples actually processed of output

float** VstVariableIo::outputs

output audio buffers

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.